%define name		urbanlightscape
%define version		1.3.3
%define release		%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Photographic application and plugin
URL:		http://www.indii.org/software/urbanlightscape
Group:		Graphics
License:	GPL v2
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.png
Requires:	boost
Requires: 	%{_lib}wxgtku2.8_0
BuildRequires: libgomp-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}wxgtku2.8-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}


%description
Use Urban Lightscape for exposure correction, localised brightness adjustments
and the introduction of artificial lighting to a photo. By placing control
points on the photo, you are able to lighten or darken (dodge or burn) at
these points, with Urban Lightscape cleverly interpolating between these
points to infill adjustments across the entire photo.

Urban Lightscape is available as a standalone app for Windows, Mac, Linux and
other Unix-like OS. It is also available as a plugin to Adobe Photoshop,
Photoshop Elements and Corel Paint Shop Pro.

For further information, tips and documentation, see the website at
www.indii.org/urbanlightscape.

%prep
%setup -q

%build

%ifarch %{ix86}
%configure2_5x --disable-assert CXXFLAGS="-O3 -g3 -msse" --prefix=%{_prefix}
%else
%configure2_5x --disable-assert CXXFLAGS="-O3 -g3" --prefix=%{_prefix}
%endif

%make

%install
rm -rf %buildroot
%{__make} %{?mflags_install} DESTDIR=%buildroot install

mkdir -p %buildroot%{_datadir}/pixmaps
install -m 0644 %SOURCE1 %buildroot%{_datadir}/pixmaps/

# menu
mkdir %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Urban Lightscape
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Graphics;2DGraphics;RasterGraphics;GTK;X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.htb
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Jul 27 2015 bb <bb> 1.3.3-2pclos2015
- rebuild for wxgtk2.8 updates

* Mon Jun 22 2015 bb <bb> 1.3.3-1pclos2015
- update

* Tue Jul 16 2013 Texstar <texstar at gmail.com> 1.2.3-1pclos2013
- 1.2.3

* Wed Feb 29 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0.0-1_archie_2011
- Initial build
